Method: networks.adSpots.batchCreate

API to batch create AdSpot objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/adSpots:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where AdSpots will be created. Format: networks/{networkCode} The parent field in the CreateAdSpotRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateAdSpotRequest)
    }
  ]
}
Fields
requests[]

object (CreateAdSpotRequest)

Required. The AdSpot objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for adSpots.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "adSpots": [
    {
      object (AdSpot)
    }
  ]
}
Fields
adSpots[]

object (AdSpot)

The AdSpot objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateAdSpotRequest

Request object for adSpots.create method.

JSON representation
{
  "parent": string,
  "adSpot": {
    object (AdSpot)
  }
}
Fields
parent

string

Required. The parent resource where this AdSpot will be created. Format: networks/{networkCode}

adSpot

object (AdSpot)

Required. The AdSpot to create.